Oracle Linux 6138 Published by

A 18 security update has been released for Oracle Linux 9.



ELSA-2023-5849 Important: Oracle Linux 9 18 security update


Oracle Linux Security Advisory ELSA-2023-5849

http://linux.oracle.com/errata/ELSA-2023-5849.html

The following updated rpms for Oracle Linux 9 have been uploaded to the Unbreakable Linux Network:

x86_64:
nodejs-18.18.2-2.module+el9.2.0+21194+c0bbf6cf.x86_64.rpm
nodejs-devel-18.18.2-2.module+el9.2.0+21194+c0bbf6cf.x86_64.rpm
nodejs-docs-18.18.2-2.module+el9.2.0+21194+c0bbf6cf.noarch.rpm
nodejs-full-i18n-18.18.2-2.module+el9.2.0+21194+c0bbf6cf.x86_64.rpm
nodejs-nodemon-3.0.1-1.module+el9.2.0+21169+1d24b6cc.noarch.rpm
nodejs-packaging-2021.06-4.module+el9.1.0+20762+f52d7401.noarch.rpm
nodejs-packaging-bundler-2021.06-4.module+el9.1.0+20762+f52d7401.noarch.rpm
npm-9.8.1-1.18.18.2.2.module+el9.2.0+21194+c0bbf6cf.x86_64.rpm

aarch64:
nodejs-18.18.2-2.module+el9.2.0+21194+c0bbf6cf.aarch64.rpm
nodejs-devel-18.18.2-2.module+el9.2.0+21194+c0bbf6cf.aarch64.rpm
nodejs-docs-18.18.2-2.module+el9.2.0+21194+c0bbf6cf.noarch.rpm
nodejs-full-i18n-18.18.2-2.module+el9.2.0+21194+c0bbf6cf.aarch64.rpm
nodejs-nodemon-3.0.1-1.module+el9.2.0+21169+1d24b6cc.noarch.rpm
nodejs-packaging-2021.06-4.module+el9.1.0+20762+f52d7401.noarch.rpm
nodejs-packaging-bundler-2021.06-4.module+el9.1.0+20762+f52d7401.noarch.rpm
npm-9.8.1-1.18.18.2.2.module+el9.2.0+21194+c0bbf6cf.aarch64.rpm

SRPMS:
http://oss.oracle.com/ol9/SRPMS-updates//nodejs-18.18.2-2.module+el9.2.0+21194+c0bbf6cf.src.rpm
http://oss.oracle.com/ol9/SRPMS-updates//nodejs-nodemon-3.0.1-1.module+el9.2.0+21169+1d24b6cc.src.rpm
http://oss.oracle.com/ol9/SRPMS-updates//nodejs-packaging-2021.06-4.module+el9.1.0+20762+f52d7401.src.rpm

Related CVEs:

CVE-2023-38552
CVE-2023-39333
CVE-2023-44487
CVE-2023-45143

Description of changes:

nodejs
[1:18.18.2-2]
- Rebase to version 18.18.2
Resolves: CVE-2023-44487 CVE-2023-45143 CVE-2023-38552 CVE-2023-39333

nodejs-nodemon
[3.0.1-1]
- Rebase to 3.0.1
- Resolves: CVE-2022-25883

nodejs-packaging
[2021.06-4]
- NPM bundler: also find namespaced bundled dependencies

[2021.06-3]
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

[2021.06-2]
- Fix hard-coded output directory in the bundler

[2021.06-1]
- Update to 2021.06-1
- bundler: Handle archaic license metadata
- bundler: Warn about bundled dependencies with no license metadata

[2021.01-3]
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

[2021.01-2]
- nodejs-packaging-bundler improvements to handle uncommon characters

[2021.01]
- Add nodejs-packaging-bundler and update README.md

[2020.09-1]
- Move to dist-git as the upstream

[25-1]
- Fix incorrect bundled library detection for Requires

[24-1]
- Check node_modules_prod for bundled dependencies

[23-4]
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

[23-3]
- Drop Requires: nodejs(engine)

[23-2]
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild